# mycroft-run-script

A [Mycroft.ai](https://mycroft.ai) skill to run an arbitrary shell script.

## Setup

After installing the skill configure the `script_dir` either in the settings json or on Mycroft Home. Default is `/home/mycroft/scripts`.

Place your executable scripts or programs in that directory with the name you want to call them. Replace spaces with dashes.

## Usage Examples

```
Hey Mycroft, run the backup script.
```

This will execute the script `/home/mycroft/scripts/backup` if it exists.

```
Hey Mycroft, execute total wipe program.
```

This will execute the script `/home/mycroft/total-wipe` if it exists.

## Todo

- Check if script is still running or not
- Check if script exited with succes or failure
- Track multiple scripts simultaneously
- Save script output with ability to read it back later?
